> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/workflow-builder/get-task-details/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get task details GET https://example.itential.io/workflow_builder/getTaskDetails/{app}/{task} Returns a Task's details. Reference: https://docs.itential.com/itential-cloud/api-reference/workflow-builder/get-task-details ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `app` (string, required) — Application's name (export field in model) - `task` (string, required) — Task's id (hex) ## Response ### 200 Detailed Task. - `object or object or object` - object - `name` (string, required) - `summary` (string, required) - `description` (string, required) - `app` (string, required) - `variables` (object, required) - `incoming` (object, required) - `outgoing` (object, required) - `error` (string, optional) - `decorators` (list of object, optional) - `type` (enum, optional) - Allowed values: `encryption` - `pointer` (string, optional) - `groups` (list of string, required) - `type` ("manual", required) - `view` (string, required) - `nodeLocation` (object, optional) — Stores the coordinates used by canvasVersion: 3 workflows - `x` (double, optional) - `y` (double, optional) - `deprecated` (boolean, optional) - `scheduled` (boolean, optional) - object - `name` (string, required) - `summary` (string, required) - `description` (string, required) - `app` (string, required) - `variables` (object, required) - `incoming` (object, required) - `outgoing` (object, required) - `error` (string, optional) - `decorators` (list of object, optional) - `type` (enum, optional) - Allowed values: `encryption` - `pointer` (string, optional) - `groups` (list of string, required) - `type` ("automatic", required) - `actor` (string, required) - `nodeLocation` (object, optional) — Stores the coordinates used by canvasVersion: 3 workflows - `x` (double, optional) - `y` (double, optional) - `deprecated` (boolean, optional) - `scheduled` (boolean, optional) - `retrySettings` (object, optional, nullable) — Retry settings for a task. - `state` (list of enum, required) — Finish states the task will retry on. The task will retry on any of the included states. - Allowed values: `success`, `error`, `failure` - `autoRetry` (boolean, required) — Whether the task is set to retry automatically or manually. - `limit` (integer, required) — Limit of retries on a task before it will take normal transitions and stop retrying. - `delay` (integer, required) — Delay between each retry in milliseconds. - `count` (integer, optional) — Current retry count used for workflow engine job processing - object - `name` (string, required) - `summary` (string, required) - `description` (string, required) - `app` (string, required) - `variables` (object, required) - `incoming` (object, required) - `outgoing` (object, required) - `error` (string, optional) - `decorators` (list of object, optional) - `type` (enum, optional) - Allowed values: `encryption` - `pointer` (string, optional) - `groups` (list of string, required) - `type` ("operation", required) - `nodeLocation` (object, optional) — Stores the coordinates used by canvasVersion: 3 workflows - `x` (double, optional) - `y` (double, optional) - `deprecated` (boolean, optional) - `scheduled` (boolean, optional) - `retrySettings` (object, optional, nullable) — Retry settings for a task. - `state` (list of enum, required) — Finish states the task will retry on. The task will retry on any of the included states. - Allowed values: `success`, `error`, `failure` - `autoRetry` (boolean, required) — Whether the task is set to retry automatically or manually. - `limit` (integer, required) — Limit of retries on a task before it will take normal transitions and stop retrying. - `delay` (integer, required) — Delay between each retry in milliseconds. - `count` (integer, optional) — Current retry count used for workflow engine job processing ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "app": "string", "deprecated": true, "description": "string", "groups": [ "string" ], "name": "string", "nodeLocation": { "x": 1.1, "y": 1.1 }, "scheduled": true, "summary": "string", "type": "string", "variables": { "decorators": [ { "pointer": "string", "type": "encryption" } ], "error": "string", "incoming": {}, "outgoing": {} }, "view": "string" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/workflow_builder/getTaskDetails/app/task" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/workflow_builder/getTaskDetails/app/task'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/workflow_builder/getTaskDetails/app/task" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/workflow_builder/getTaskDetails/app/task") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/workflow_builder/getTaskDetails/app/task") .asString(); ``` ```php request('GET', 'https://example.itential.io/workflow_builder/getTaskDetails/app/task'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/workflow_builder/getTaskDetails/app/task"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/workflow_builder/getTaskDetails/app/task")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```